Difference between revisions of "ManualPart/it"

From FreeCAD Documentation
Jump to: navigation, search
 
Line 63: Line 63:
 
* [[Part CreateSimpleCopy/it|Crea una copia semplice]]  
 
* [[Part CreateSimpleCopy/it|Crea una copia semplice]]  
 
* [[Part CheckGeometry/it|Controlla geometria]]  
 
* [[Part CheckGeometry/it|Controlla geometria]]  
* [[Part MakeCompound/it|Crea composto]]  
+
* [[Part MakeCompound/it|Crea composto]]
 
 
{{languages/it | {{}} }}
 

Latest revision as of 18:34, 9 December 2016

Documentazione di FreeCAD

Ambiente Parte

Questo è la guida ai comandi di FreeCAD. Comprende le pagine del Wiki della documentazione di FreeCAD che si riferiscono ai comandi. Questa versione è stata creata principalmente per essere stampata come un unico grande documento o per consentire una panoramica veloce sulle pagine dei comandi. Se si sta leggendo questo online, si consiglia di andare direttamente alla Guida in linea, che è più facile da esplorare.

Arrow-left.svg OpenSCADWorkbench.svg Ambiente OpenSCAD Pagina precedente:
Pagina successiva: Ambiente PartDesign Workbench PartDesign.svg Arrow-right.svg

Workbench Part.svg

Introduzione

Le funzionalità CAD di FreeCAD sono basate sul kernel Open Cascade Technology (OCCT), un sistema CAD di livello professionale che offre funzionalità avanzate per la creazione e manipolazione della geometria 3D. L'ambiente Part è uno strato che si trova sopra le librerie OCCT, che fornisce all'utente l'accesso alle primitive e alle funzioni geometriche OCCT. Essenzialmente tutte le funzioni di disegno 2D e 3D in FreeCAD, negli ambienti Draft, Sketcher, PartDesign, ecc. si basano su queste funzioni esposte dall'ambiente Parte. Pertanto, Part può essere considerato il componente principale delle funzioni di disegno di FreeCAD.

Gli oggetti creati con Part sono relativamente semplici; sono pensati per essere utilizzati con le operazioni booleane (unioni e tagli) al fine di costruire forme più complesse. Questo paradigma di modellazione è noto come flusso di lavoro geometria solida costruttiva (CSG) ed era la metodologia tradizionale utilizzata nei primi sistemi CAD. D'altra parte, l'ambiente PartDesign fornisce un flusso di lavoro più moderno per la costruzione di forme: utilizza schizzi parametrici definiti, che vengono estrusi per formare un corpo solido di base, che viene poi modificato da trasformazioni parametriche (editazione delle funzioni), fino a quando non si ottiene l'oggetto finale.

Gli oggetti Parte sono più complessi degli oggetti mesh creati con l'ambiente Mesh, e consentono operazioni più avanzate come le operazioni booleane coerenti, la cronologia delle modifiche e il comportamento parametrico.

Contents

Part example.jpg

Part Workbench relationships.svg

Part Workbench è lo strato base che espone le funzioni di disegno OCCT a tutti i workbench di FreeCAD


Gli strumenti

Gli strumenti del modulo Parte sono tutti situati nel menu Parte che viene visualizzato quando si carica questo modulo.

Primitive

Questi sono strumenti per creare oggetti primitivi.

  • Part Box.png Prisma: disegna parallelepipedi specificandone le dimensioni
  • Part Cylinder.png Cilindro: disegna solidi cilindrici.
  • Part Sphere.png Sfera: disegna sfere.
  • Part Cone.png Cono: disegna solidi conici.
  • Part Torus.png Toro: disegna anelli.
  • Part CreatePrimitives.png Crea Primitive: strumento per creare varie primitive geometriche parametriche
  • Part Shapebuilder.png Generatore di forma: strumento per creare delle forme complesse da primitive geometriche parametriche

Modificare gli oggetti

Questi sono gli strumenti per modificare gli oggetti esistenti. Essi permettono di scegliere l'oggetto da modificare.

  • Part Extrude.png Estrudi: Estrude le facce planari di un oggetto
  • Part Revolve.png Rivoluziona: Crea un oggetto tramite la rotazione di un altro oggetto attorno ad un asse
  • Part Mirror.png Specchia: Riflette l'oggetto selezionato rispetto ad un asse stabilito
  • Part Fillet.png Raccorda: Raccorda (arrotonda) i bordi di un oggetto
  • Part Chamfer.png Smussa: Smussa i bordi di un oggetto
  • Part RuledSurface.png Superficie rigata: Crea una superficie tra due linee
  • Part Loft.png Loft: Crea una estrusione tra due sagome diverse
  • Part Sweep.png Sweep: Estrude un profilo seguendo un percorso determinato
  • Part Thickness.png Spessore: Scava un solido, lasciando aperte le facce selezionate.

Misure

Std Measure Menu.png Misure: consente la misurazione lineare e angolare tra punti, spigoli e facce.

Altri strumenti

Preferenze

OCCT Concetti base

Nella terminologia OpenCascade, si distingue tra primitive geometriche e forme (topologiche). Una primitiva geometrica può essere un punto, una linea, un cerchio, un piano, ecc o essere anche di tipo più complesso come una curva B-Spline o una superficie. Una forma può essere un vertice, un bordo, un profilo, una faccia, un solido o un insieme di più forme. Le primitive geometriche non sono fatte per essere visualizzate direttamente sulla scena 3D, ma piuttosto per essere utilizzate come geometrie per la costruzione di forme. Ad esempio, un bordo può essere costruito usando una linea o una porzione di un cerchio.

Potremmo dire, per riassumere, che le primitive geometriche sono blocchi di costruzione "informi", e le forme sono la reale geometria spaziale costruita su questi blocchi.

Per ottenere un elenco completo di tutti le primitive e shapesfare riferimento alla documentazione OCC cercare Geom_Geometry e TopoDS_Shape. Nella documentazione sono anche contenute ulteriori informazioni sulle differenze tra gli oggetti geometrici e le forme. La documentazione OCC non è disponibile online (è necessario scaricare un archivio) e si rivolge principalmente ai programmatori e non agli utenti finali. Si spera che le informazioni fornite in seguito siano sufficienti per iniziare.

I tipi di oggetti geometrici possono essere suddivisi in due gruppi principali: le curve e le superfici. Sulle curve (linea, cerchio, ...), è possibile creare direttamente un bordo, mentre sulle superfici (piano, cilindro, ...) è possibile costruire una faccia. Ad esempio, la linea primitiva geometrica è illimitata, ossia è definita da un vettore di base e da un vettore di direzione, mentre la sua forma (e rappresentazione) deve essere qualcosa di limitato da un punto iniziale e da un punto finale. E un cubo - solido - può essere creato da sei piani limitati.

Da un bordo o una faccia (forme) si può sempre risalire alla sua primitiva geometrica.

Utilizzando le forme, è possibile costruire parti molto complesse, oppure viceversa, si possono estrarre tutte le sotto-forme che compongono una forma complessa.

Part TopoShape relationships.svg

"Part::TopoShape" è l'oggetto geometrico che si vede sullo schermo. In sostanza, tutti gli ambienti di lavoro usano queste TopoShape internamente per costruire e visualizzare bordi, facce e solidi.


Script

Vedere anche: Script di Part

La struttura principale dei dati utilizzati nel modulo Parte di OpenCascade è il tipo di dati BRep . Quasi tutti i contenuti e i tipi di oggetti del modulo Parte sono ora disponibili per gli script Python. Questo include le primitive geometriche, come Linee e Cerchi (o Archi), e tutta la gamma di TopoShapes, come Vertici, Bordi, Contorni, Facce, Solidi e Compositi. Per ognuno di questi oggetti, esistono diversi metodi di creazione, e per alcuni di loro, soprattutto le TopoShapes, sono inoltre disponibili operazioni booleane avanzate come unione, differenza e intersezione. Per maggiori informazioni, esplorare il contenuto del modulo Parte, come descritto nella pagina Script.

L'oggetto più semplice che può essere creato è una Part Feature, che ha un semplice proprietà DATIPlacement, e proprietà di base per definirne il colore e l'aspetto.

Un altro oggetto semplice utilizzato negli oggetti geometrici 2D è Part Part2DObject, che è la base degli Sketcher SketchObject di Sketcher, e della maggior parte degli elementi di Draft.

Esempi

Per creare un elemento linea, passare alla console Python e digitare:

import Part,PartGui 
doc=App.newDocument()  
l=Part.LineSegment()
l.StartPoint=(0.0,0.0,0.0)
l.EndPoint=(1.0,1.0,1.0)
doc.addObject("Part::Feature","Line").Shape=l.toShape() 
doc.recompute()

Descrizione passo per passo della procedura del precedente esempio Python:

import Part,PartGui
doc=App.newDocument()

carica il modulo Parte e crea un nuovo documento

l=Part.LineSegment()
l.StartPoint=(0.0,0.0,0.0)
l.EndPoint=(1.0,1.0,1.0)

La funzione Line descrive in realtà un segmento di linea, quindi serve il punto iniziale e quello finale.

doc.addObject("Part::Feature","Line").Shape=l.toShape()

Questo comando aggiunge un oggetto di tipo Parte al documento e assegna la forma di rappresentazione del segmento di linea alla proprietà 'forma' (Shape) dell'oggetto aggiunto. È importante comprendere che abbiamo usato una primitiva geometrica (la Part.LineSegment) per creare una TopoShape su di essa (il metodo toShape()). Al documento possono essere aggiunte solo delle forme . In FreeCAD, le primitive geometriche vengono utilizzate come "strutture di base" per le forme.

doc.recompute()

Aggiorna il documento. Questo prepara anche la rappresentazione visiva del nuovo oggetto Parte.

Notare che una Line Segment può essere creata specificando il suo punto iniziale e il suo punto finale direttamente nel costruttore, per es. Part.Line Segment(point1, point2) oppure possiamo creare una linea predefinita e impostarne le proprietà in seguito, come in questo caso.

In modo analogo è possibile creare un cerchio:

import Part
doc = App.activeDocument()
c = Part.Circle() 
c.Radius=10.0  
f = doc.addObject("Part::Feature", "Circle")
f.Shape = c.toShape()
doc.recompute()

Si noti ancora una volta che il cerchio (geometria primitiva) viene usato per costruire una forma su di esso. Ovviamente, in seguito, si può ancora accedere alla geometria di costruzione con:

s = f.Shape
e = s.Edges[0]
c = e.Curve

Qui si acquisisce la forma dell'oggetto f, poi si acquisisce la lista dei bordi, (in questo caso il bordo è uno solo perché si crea l'intera forma con un unico cerchio, quindi si definisce solo il primo elemento della lista Edges) e infine, si recupera la curva. Ogni bordo ha una curva, che è la geometria primitiva sulla quale è basato.

Per maggiori informazioni consultare la pagina Script di dati topologici

Tutorial

Arrow-left.svg OpenSCADWorkbench.svg Ambiente OpenSCAD Pagina precedente:
Pagina successiva: Ambiente PartDesign Workbench PartDesign.svg Arrow-right.svg

Ambiente Parte: Creare oggetti primitivi

Prisma

FreeCAD.png
Pagina successiva: Cono Part Cone.png Arrow-right.svg

Part Box.png Cubo

Posizione nel menu
Parte → Primitive → Cubo
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Parte → Crea primitive... → Cubo


Descrizione

Il comando Cubo dell'ambiente Part inserisce nel documento attivo un parallelepipedo parametrico. Di default, inserisce un cubo con i lati di 10 mm, posizionato nell'origine, e con l'etichetta "Cubo". Questi parametri possono essere modificati dopo aver aggiunto l'oggetto.

Part_Box

Uso

  • Cliccare sull'icona Part Box.png dell'ambiente Parte.
  • In alternativa, selezionare Parte → Primitive → Cubo nel menu a tendina di Part.

Opzioni

  • Tramite l'editor delle Proprietà:
    • Length: Imposta la lunghezza, sull'asse x, per l'oggetto Cubo (default è 10 mm).
    • Width: Imposta la larghezza, sull'asse y, per l'oggetto Cubo (default è 10 mm).
    • Height: Imposta l'altezza, sull'asse z, per l'oggetto Cubo (default è 10 mm).
    • Placement: Specifica l'orientamento e la posizione del Cubo nello spazio 3D. Vedere Posizionamento. Il punto di riferimento è l'angolo anteriore in basso a sinistra del cubo.
    • Label: L'etichetta è il nome assegnato all'operazione. Questo nome può essere modificato a piacimento.

Proprietà

Base

  • DATAPlacement: Specifica l'orientamento e la posizione del Cubo nello spazio 3D. Vedere Posizionamento. Il punto di riferimento è l'angolo anteriore in basso a sinistra del cubo.
  • DATALabel: L'etichetta è il nome assegnato all'operazione. Questo nome può essere modificato a piacimento.

Box

  • DATALength: Il parametro di lunghezza è la dimensione del Cubo nella direzione x.
  • DATAWidth: Il parametro di larghezza è la dimensione del Cubo nella direzione y.
  • DATAHeight: Il parametro di altezza è la dimensione del Cubo nella direzione z.

Part_Box-Properties

Script

Lo strumento Cubo può essere utilizzato nelle macro e dalla console di Python utilizzando la seguente funzione:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Dove "myBox" è l'etichetta per l'oggetto Box.
  • Restituisce un oggetto di tipo Box di nuova creazione.

È possibile accedere e modificare gli attributi dell'oggetto Box. Ad esempio, si potrebbe desiderare di modificare i parametri di lunghezza, larghezza e altezza.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

È possibile modificare la sua posizione con:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

Versione di FreeCAD

Dalla versione 0.14 di FreeCAD, un Box di Parte è indicato negli elementi della GUI come un Cubo e l'etichetta di default è "Cubo".

FreeCAD.png
Pagina successiva: Cono Part Cone.png Arrow-right.svg

Cono

Arrow-left.svg Part Box.png Cubo Pagina precedente:
Pagina successiva: Cilindro Part Cylinder.png Arrow-right.svg

Part Cone.svg Cono

Posizione nel menu
Parte → Cono
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Parte → Crea primitive... → Cono


Descrizione

Crea un cono parametrico. Attualmente, nell'ambiente Parte, ci sono due modi per creare un cono.

Primo metodo

Cliccare direttamente sul pulsante Part Cone.png Cono nella barra degli strumenti. Crea un cono di default con il raggio della base di 2 mm, il raggio della sommità di 4 mm, alto 10 mm e il centro del cerchio inferiore posizionato in corrispondenza dell'origine (punto 0,0,0). I parametri sono modificabili nella scheda Dati della Vista combinata.

Secondo metodo

Questo secondo modo è disponibile anche in OpenSCAD.
Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Cono. Si apre una finestra di dialogo che consente di impostare:

Primitive Geometriche

PartConePrimitivesOptions it.png

Cono

Parametri

  • raggio 1,
  • raggio 2,
  • altezza,
  • angolo

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D,
  • direzione dell'asse del cono, x, y, z o definita dall'utente.

Anche le dimensioni e il posizionamento del cono prodotto utilizzando le opzioni di creazione sono modificabili tramite la scheda delle proprietà.


Proprietà

PartConeProperty it.png

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

Base

Cone

  • DatiAngle: 360° per creare un cono completo
  • DatiHeight: altezza sull'asse z
  • DatiRadius1: raggio della base
  • DatiRadius2: raggio della sommità


Arrow-left.svg Part Box.png Cubo Pagina precedente:
Pagina successiva: Cilindro Part Cylinder.png Arrow-right.svg

Cilindro

Arrow-left.svg Part Cone.png Cono Pagina precedente:
Pagina successiva: Sfera Part Sphere.png Arrow-right.svg

Part Cylinder.svg Cilindro

Posizione nel menu
Parte → Primitive → Cilindro
Ambiente
Parte, Completo
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Parte → Crea primitive... → Cilindro


Descrizione

Crea un cilindro parametrico. Attualmente, nell'ambiente Parte, ci sono due modi per creare un cilindro.

Primo metodo

Cliccare direttamente sul pulsante Part Cylinder.png Cilindro nella barra degli strumenti.

Crea un cilindro di default con raggio di 2 mm, alto 10 mm e il centro del cerchio inferiore posizionato in corrispondenza dell'origine (punto 0,0,0).

I parametri sono modificabili nella scheda Dati della Vista combinata.

Il parametro Angle permette di creare una porzione di cilindro

L'altezza è la distanza sull'asse z.

Il raggio è definito nel piano xy

a cylinder created with the Cylinder tool


Secondo metodo

Questo secondo modo è disponibile anche in OpenSCAD.
Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Cilindro. Si apre una finestra di dialogo che consente di impostare:

Primitive Geometriche

PartCylinderPrimitivesOptions it.png

Cilindro

Parametri

  • raggio,
  • altezza,
  • angolo, 360° per ottenere un cilindro completo

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D,
  • direzione dell'asse del cilindro, x, y, z o definita dall'utente.

Anche le dimensioni e il posizionamento del cilindro prodotto utilizzando le opzioni di creazione sono modificabili tramite la scheda delle proprietà.

Proprietà

PartCylinderDefaultProperty it.png

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

Base

Cylinder

  • DatiAngle: 360° per creare un cilindro completo
  • DatiHeight: altezza sull'asse z
  • DatiRadius: raggio


Arrow-left.svg Part Cone.png Cono Pagina precedente:
Pagina successiva: Sfera Part Sphere.png Arrow-right.svg

Sfera

Arrow-left.svg Part Cylinder.png Cilindro Pagina precedente:
Pagina successiva: Toro Part Torus.png Arrow-right.svg

Part Sphere.svg Sfera

Posizione nel menu
Parte → Sfera
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea Primitive...


Descrizione

Crea una sfera parametrica con i parametri posizione, angolo1, angolo2, anglo3 e raggio.

SimpleSphere.jpg

Utilizzo

Nell'ambiente Part cliccare sull'icona della sfera Part Sphere.png. La sfera viene creata nell'origine (punto 0,0,0). I parametri degli angoli consentono di creare una porzione di sfera invece di una sfera intera (sono predefiniti a 360 °).

Opzioni

La sfera parametrica è definita dai seguenti parametri:

  • Raggio
  • Angolo 1
  • Angolo 2
  • Angolo 3
  • con l'insieme dei parametri standard di posizionamento

L'immagine seguente offre una panoramica di una sfera parametrica con parametri diversi dal valore predefinito.

PartDesign Sphere Parameter en.jpg

Parametri

  • Radius: Raggio della sfera
  • Angle 1: 1° angolo per tagliare o definire la sfera
  • Angle 2: 2° angolo per tagliare o definire la sfera
  • Angle 3: 3° angolo per tagliare o definire la sfera

Poiché è abbastanza difficile spiegare il significato dei parametri di angolo1, angolo2 e angolo3, l'immagine sottostante fornisce una esempio dove questi parametri hanno i seguenti valori: angolo1 = -45 °, angolo2 = 45 ° e angolo3 = 90 °.

SphereCutThreeAngles.jpg


Arrow-left.svg Part Cylinder.png Cilindro Pagina precedente:
Pagina successiva: Toro Part Torus.png Arrow-right.svg

Toro

Arrow-left.svg Part Sphere.png Sfera Pagina precedente:
Pagina successiva: Crea primitive Part CreatePrimitives.png Arrow-right.svg

Part Torus.svg Toro

Posizione nel menu
Parte → Primitive → Toro
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Parte → Crea primitive... → Toro


Descrizione

Crea un semplice toro parametrico, con i parametri position, angle1, angle2, angle3, radius1 e radius2.

SimpleTorus.jpg

Utilizzo

Nell'ambiente Parte cliccare sull'icona Part Torus.png. Il toro viene creato nell'origine, nel punto 0,0,0. I parametri Angolo e i parametri Raggio permettono di parametrizzare il toro. Come descritto nel paragrafo successivo, i parametri Angolo consentono di creare una porzione di toro invece di un toro completo, di default sono impostati a 360°, e i parametri Raggio1 e Raggio2 definiscono rispettivamente la dimensione del foro e il diametro dell'anello del 'tubo'.

Opzioni

TorusExampleOverviewParameters.jpg

Parametri

Un toro può essere assimilato ad un disco che compie un'orbita circolare attorno un'asse immaginario. Quindi il toro parametrico è definito dai seguenti parametri:

  • Raggio1: Raggio del cerchio attorno al quale circola il disco. Distanza tra l'asse di rotazione, centro del toro, e il centro del disco.
  • Raggio2: Raggio del disco che definisce la forma del toro
  • Angolo1: 1° Angolo di taglio per definire il disco del toro
  • Angolo2: 2° Angolo di taglio per definire il disco del toro
  • Angolo3: 3° Angolo per definire la circonferenza del toro. Ampiezza della rotazione

nonché la serie standard di parametri di posizionamento. Le immagini sottostanti danno una rappresentazione grafica dei parametri citati:

TorusExampleRadius1.jpg Il parametro Raggio1 ha il valore di 20 mm.

TorusExampleRadius2.jpg Il parametro Raggio2 ha il valore di 2 mm.

TorusExampleAngle1.jpg Il parametro Angolo1 ha il valore di -90°. Notare che, lo strumento "di misura dell'angolo" non in grado di visualizzare l'angolo negativo. Considerare il valore visualizzato nell'immagine come "-90°".

TorusExampleAngle2.jpg Il parametro Angolo2 ha il valore di 90°.

TorusExampleAngle3.jpg

Il parametro Angolo3 ha il valore di 90°.


Arrow-left.svg Part Sphere.png Sfera Pagina precedente:
Pagina successiva: Crea primitive Part CreatePrimitives.png Arrow-right.svg
<

Primitive: Piano

Part CreatePrimitives.svg Primitive

Posizione nel menu
Part → Crea primitive... → Piano
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Cono,Cilindro, Sfera, Toro, Crea primitive...


Descrizione

Crea un semplice Piano parametrico di 10 x 10 mm, con i parametri di posizionamento, lunghezza e larghezza.

Di default, il piano viene posizionato in corrispondenza dell'origine (punto 0,0,0).

PartPlane.png


Utilizzo

Il piano standard viene creato con l'angolo inferiore sinistro nel punto di origine 0,0,0.
Per modificare questi parametri aprire la sezione Posizione e inserire i valori desiderati nei rispettivi campi di input, oppure cliccare su Vista 3D e selezionare un punto, le coordinate del punto vengono acquisite dai campi.
Nel menu Direzione si può inoltre definire un vettore standard (X,Y o Z) normale al piano, oppure cliccare su Definito dall'utente... per aprire il dialogo che consente di impostare un diverso vettore (ad esempio la direzione 1,0,-1 crea un piano inclinato di 45° rispetto a X e Z).

Le proprietà possono essere modificate successivamente in Vista combinata → Dati, dopo aver selezionato l'oggetto.

Proprietà

PartPlaneProperty it.png

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

Base

  • DatiLabel : Nome dell'oggetto.
  • DatiPlacement: Posizionamento:
  • DatiAngle : Angolo di rotazione riferito agli assi X, Y, Z
  • DatiAxis : Selezione dell'asse(i) di rotazione di lavoro X, Y, o Z. Default, Z=1
  • DatiPosition : Posizione X, Y, Z, rispetto all'origine 0, 0, 0.

Plane

  • DatiLength : Lunghezza è la dimensione sull'asse X. Il valore di default è 10 mm
  • DatiWidth : Larghezza è la dimensione sull'asse Y. Il valore di default è 10 mm

Primitive: Ellissoide

Part Ellipsoid.png Ellissoide

Posizione nel menu
Parte → Crea primitive → Ellissoide
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Parte → Primitive → Sfera


Crea una ellissoide parametrica. Le proprietà di questo oggetto sono simili a quelli di una sfera, ma servono due raggi. Non è possibile creare questo solido in modo diretto, ma solo tramite il menu del comando Crea primitive....

Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Ellissoide.

In FreeCAD la forma prodotta è limitata ad essere un solido sferoide (opzionalmente troncato), per crearlo è necessario ruotare un'ellisse attorno ad uno dei sui assi. Per impostazione predefinita, si tratta di uno sferoide oblato, oblate spheroid, cioè la forma che si creerebbe ruotando un'ellisse attorno al suo asse minore, ma i parametri possono essere modificati per formare uno sferoide prolato, prolate spheroid.

In FreeCAD ogni sezione trasversale parallela al piano xy lo sferoide predefinito è un cerchio . La sezione trasversale parallela agli altri due piani è un'ellisse.

In geometria, un ellissoide, Ellissoide avrebbe una sezione ellittica in tutti e tre i piani.

Proprietà

  • Radius 1: Di default il raggio minore parallelo all'asse Z,
  • Radius 2: Per default il raggio maggiore parallelo al piano XY, è anche il raggio massimo della sezione circolare trasversale
  • Angle 1: Troncamento inferiore dell'ellissoide, parallelo alla sezione circolare (-90 gradi in uno sferoide completo)
  • Angle 2: Troncamento superiore dell'ellissoide, parallelo alla sezione circolare (90 gradi in uno sferoide completo)
  • Angle 3: angolo di rotazione della sezione trasversale ellittica (360 gradi in uno sferoide completo)


Part Ellipsoid screenshot.jpg

Primitive: Prisma

Part Prism.png Prisma

Posizione nel menu
Parte → Crea primitive → Prism
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
0.14
Vedere anche
Parte → Primitive → Prisma


Crea un prisma parametrico in cui è possibile definire il poligono di base.
Attenzione: al momento nel menu di Crea primitive... compare anche la voce Prisma (Box) che permette solo di creare un parallelepipedo (un Box nell'albero delle operazioni).

Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Prism. Si apre una finestra di dialogo che consente di impostare:

Primitive Geometriche

PartPrismPrimitivesOptions it.png

Prisma

Parametri

  • Polygon: numero di lati
  • Lunghezza: misura del lato
  • Altezza: altezza del prisma

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D, di default il centro del poligono di base è posizionato nel punto 0,0,0
  • direzione dell'asse del prisma, x, y, z o definita dall'utente.

I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.


Parametri

  • Polygon - il numero di lati del poligono che descrive la sezione trasversale del Prisma di Parte
  • circumradius - il circumradius è la distanza dal centro del poligono a un vertice.
  • Height - l'altezza del Prisma di Parte

Primitive: Cuneo

Part Wedge.png Cuneo

Posizione nel menu
Parte → Crea Primitive → Cuneo
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Crea Primitive


Crea un solido parametrico a forma di cuneo.

Dimensioni e posizionamento di default

Posizionamento: Il posizionamento predefinito pone la base nel piano XZ e la parte superiore verso l'esterno nella direzione dell'asse Y. L'angolo base di default è l'origine 0,0,0.

Faccia Base:

  • X : 10 mm
  • Z : 10 mm

Altezza:

  • Y : 0-10 mm

Faccia superiore:

  • X : 2-8 mm
  • Z : 2-8 mm


PartWedgeProperty.png


Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Cuneo. Si apre una finestra di dialogo che consente di impostare:

Primitive Geometriche

PartWedgePrimitivesOptions it.png

Cuneo

Parametri

  • X min e max
  • Y min e max
  • Z min e max
  • X2 min e max
  • Z2 min e max

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D, di default l'angolo inferiore sinistro della base viene posto nel punto 0,0,0
  • direzione dell'asse del cuneo, x, y, z o definita dall'utente.

I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.

Proprietà

PartWedgeProperty it.png

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

Base

Wedge

  • DatiX2 max : coordinata (di default è 8 mm).
  • DatiX2 min : coordinata (di default è 2 mm).
  • DatiX max : coordinata (di default è 10 mm).
  • DatiX min : coordinata (di default è 0 mm).
  • DatiY max : coordinata (di default è 10 mm).
  • DatiY min : coordinata (di default è 2 mm).
  • DatiZ2 max : coordinata (di default è 8 mm).
  • DatiZ2 min : coordinata (di default è 2 mm).
  • DatiZ max : coordinata (di default è 10 mm).
  • DatiZ min : coordinata (di default è 0 mm).

Altri esempi di cunei

Wedge examples.png

Primitive: Elica

Part Helix.png Elica

Posizione nel menu
Parte → Crea primitive → Elica
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Crea un curva parametrica a forma di elica.

Utilizzare il menu Part CreatePrimitives.png Part → Crea primitive... → Elica.

Il dialogo Crea Primitive è accessibile tramite l'icona Crea Primitive Part CreatePrimitives.png del menu Part o della barra degli Strumenti Part, dell'ambiente Part. Un uso comune dell'elica è per creare le filettature con operazioni di sweep.

Utilizzo

PartHelixPrimitivesOptions en.png

Parametri

  • Pitch: il passo corrisponde allo spazio tra due "giri" consecutivi dell'elica misurata lungo l'asse principale dell'elica.
  • Height: l'altezza corrisponde all'altezza complessiva dell'elica misurata lungo l'asse principale dell'elica.
  • Radius: il raggio corrisponde al raggio del cerchio costruito dall'elica visualizzando l'elica dall'alto o dal basso.
  • Angle: per impostazione predefinita, l'elica è costruita su un cilindro immaginario. Con questa opzione è possibile costruire l'elica su un cono immaginario. Questo angolo corrisponde all'angolo del cono. Il valore deve essere compreso tra 0 e +90 gradi.
  • Right-handed or Left-handed: questo parametro specifica il verso dell'elica.

Posizione

  • X: l'asse principale dell'elica è traslato lungo l'asse x del valore indicato in questo campo.
  • Y: l'asse principale dell'elica è traslato lungo l'asse y del valore indicato in questo campo.
  • Z: l'asse principale dell'elica è traslato lungo l'asse z del valore indicato in questo campo.
  • Direction: per impostazione predefinita, l'asse principale dell'elica è l'asse z. Qui è possibile modificare l'asse principale dell'elica. Selezionando il parametro "definito dall'utente ...", viene chiesto di indicare l'asse principale dell'elica inserendo le coordinate del suo vettore.
  • 3D View: consente di selezionare il centro nella vista 3D

Opzioni

Proprietà

Dopo aver creato l'elica, è possibile modificare i suoi parametri.

PartHelixProperty en.png

I parametri in questo menu sono simili a quelli descritti sopra.
Base

  • Placement: consente di spostare o ruotare l'elica
  • Angle:

Primitive: Spirale

Part Spiral.png Spirale

Posizione nel menu
Parte → Crea primitive → Spirale
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche



Dal dialogo Crea Primitive de'ambiente Parte è disponibile una spirale geometrica primitiva .

Il dialogo Crea Primitive è accessibile tramite l'icona Crea Primitive Part CreatePrimitives.png del menu Part o della barra degli Strumenti Part, dell'ambiente Part.

Crea un curva parametrica a forma di spirale.

Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Spirale. Si apre una finestra di dialogo che consente di impostare:

Primitive Geometriche

SpiralOptions it.png

Spiral

Parametri
  • Growth
  • Numero di rotazioni
  • Raggio
Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D
  • direzione dell'asse della spirale, x, y, z o definita dall'utente.

I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.

Proprietà

PartSpiralProperty it.png

Dati

Base

Spiral

  • DatiGrowth : passo.
  • DatiRadius : raggio iniziale.
  • DatiRotations : numero di spire.

Oltre alle Proprietà Dati sono disponibili le Proprietà vista degli oggetti.

Esempi

Spirale di default: SpiralDefault it.png
Spirale ruotata di 45° sull'asse Z: Spiral x45 it.png
Spirale ruotata di 45° sull'asse Y: Spiral y45 it.png

Disponibile dalla versione 0.14


Primitive: Cerchio

Part Circle.png Cerchio

Posizione nel menu
Parte → Crea primitive → Cerchio
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche



Descrizione

Dal dialogo Crea Primitive dell'ambiente Parte è disponibile un cerchio geometrico primitivo .

Il dialogo Crea Primitive è accessibile tramite l'icona Crea Primitive Part CreatePrimitives.png del menu Part o della barra degli Strumenti Part, dell'ambiente Part.

Questo comando crea un bordo curvo circolare. Con i valori di default, il bordo curvo circolare è chiuso e quindi è un cerchio. Se vengono modificate i valori predefiniti (0 e 360​​) delle proprietà Angolo 0 o Angolo 1, il bordo è una curva aperta, un arco.

In alternativa, un cerchio Part può essere inizialmente definito da tre punti. Una volta creato esso contiene solo le proprietà standard dei cerchi Part e non è più riferito ai punti di creazione.


Proprietà

PartCirclePrimitivesOptions it.png

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D, di default il centro del cerchio viene posto nel punto 0,0,0
  • direzione dell'asse del cerchio, x, y, z o definita dall'utente.

I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.

  • Raggio: il raggio del bordo curvo (arco o cerchio)
  • Angolo 1: inizio del bordo curvo, (gradi in senso antiorario), il valore di default è 0
  • Angolo 2: fine del bordo curvo (gradi in senso antiorario), il valore di default è 360

Primitive: Ellisse

Part Ellipse.png Ellisse

Posizione nel menu
Parte → Crea primitive → Ellisse
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
..


Crea una ellisse o un settore di ellisse parametrico.

Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Ellisse. Si apre una finestra di dialogo che consente di impostare:

Primitive Geometriche

PartEllipsePrimitivesOptions it.png

Ellisse

Parametri

  • Raggio maggiore
  • Raggio minore
  • Angolo 1
  • Angolo 2

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D, di default il centro dell'ellisse viene posto nel punto 0,0,0
  • direzione dell'asse dell'ellisse, x, y, z o definita dall'utente.

I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.

Al dialogo Create Primitives si accede tramite l'icona CreatePrimitives Part CreatePrimitives.png situata nel menu Part o tramite la barra degli strumenti Parte, nell'ambiente Parte.

Questo comando crea un bordo curvo ellittico. Con i valori di default, il bordo curvo ellittico è chiuso e quindi è una ellisse. Se vengono modificate i valori predefiniti (0 e 360​​) delle proprietà Angolo 0 o Angolo 1, il bordo è una curva aperta, un arco ellittico.

Proprietà

  • Raggio maggiore: il raggio maggiore dell'ellisse, il valore di default è 4
  • Raggio minore: il raggio minore dell'ellisse, il valore di default è 2
  • Angle 1: inizio del bordo dell'ellisse o bordo curvo ellittico, (gradi in senso antiorario), il valore di default è 0
  • Angle 2: fine del bordo dell'ellisse o bordo curvo ellittico, (gradi in senso antiorario), il valore di default è 360

Primitive: Linea (Bordo)

Part Line.png Linea

Posizione nel menu
Parte → Crea primitive → Linea
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
..


Crea una linea parametrica.

Utilizzare il menu Part CreatePrimitives.png Crea primitive... → Linea. Si apre una finestra di dialogo che consente di impostare:

Primitive Geometriche

PartLinePrimitivesOptions it.png

Linea

Parametri

Coordinate di:

  • Punto iniziale
  • Punto finale


Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D, di default il punto iniziale della linea viene posto in 0,0,0
  • direzione dell'asse della linea, x, y, z o definita dall'utente.

I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.

Proprietà

PartLineProperty it.png

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

Base

Vertex 1 iniziale

  • DatiX1 : (di default è 0).
  • DatiY1 : (di default è 0).
  • DatiZ1 : (di default è 0).

Vertex 2 finale

  • DatiX2 : (di default è 1).
  • DatiY2 : (di default è 1).
  • DatiZ2 : (di default è 1).

Primitive: Punto (Vertice)

Part Point.png Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche


Dal dialogo Crea Primitive dell'ambiente Parte è disponibile un elemento geometrico primitivo Punto.

Il dialogo Crea Primitive è accessibile tramite l'icona Crea Primitive Part CreatePrimitives.png del menu Part o della barra degli Strumenti Part, dell'ambiente Part.

Primitive Geometriche

PartVertexPrimitivesOptions it.png

Punto

Parametri

  • X
  • Y
  • Z

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D, di default il punto viene posto in 0,0,0
  • direzione dell'asse del punto, x, y, z o definita dall'utente.

I parametri e il posizionamento sono modificabili tramite la scheda delle proprietà.

Proprietà

PartVertexProperty it.png

Vista

Sono disponibili le Proprietà standard di visualizzazione.

Dati

Base

  • DatiLabel: nome
  • DatiPlacement: posizionamento
  • DatiX : (di default è 0).
  • DatiY : (di default è 0).
  • DatiZ : (di default è 0).


Primitive: Poligono regolare

Part RegularPolygon.png Poligono regolare

Posizione nel menu
Parte → Crea primitive → Poligono regolare
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
0.14
Vedere anche


Descrizione

Dal dialogo Crea Primitive dell'ambiente Parte è disponibile uno strumento per creare un poligono regolare parametrico.

Il dialogo Crea Primitive è accessibile tramite l'icona Crea Primitive Part CreatePrimitives.png del menu Part o della barra degli Strumenti Part, dell'ambiente Part.


Parametri

  • Polygon - il numero di lati del poligono
  • Cirumradius - la circumradius è la distanza dal centro del poligono a un vertice.


Crea forma

Arrow-left.svg Part CreatePrimitives.png Creare Primitive Pagina precedente:
Pagina successiva: Operazioni booleane Part Booleans.png Arrow-right.svg

Part Shapebuilder.svg Crea forme

Posizione nel menu
Parte → Genera una forma...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea primitive..., Assembla, Scomponi


Descrizione

È uno strumento per creare diverse forme complesse basate su geometrie primitive parametriche.

Uso

Questo strumento permette di creare delle forme creando

  1. Bordo da due vertici
  2. Faccia da vertici
    1. Selezionare nella vista 3D i vertici che delimitano la faccia
    2. Selezionare se la faccia deve essere planare
    3. Cliccare su Crea
    4. L'oggetto viene creato nella vista 3D ed elencato nella vista ad albero
  3. Polilinea da bordi Disponibile dalla versione 0.18##Selezionare un set di bordi adiacenti nella vista 3D
    1. Cliccare su Crea
  4. Faccia da spigoli
    1. Selezionare nella vista 3D un insieme chiuso di spigoli che delimitano la faccia
    2. Selezionare se la faccia deve essere planare
    3. Cliccare su Crea
    4. L'oggetto viene creato nella vista 3D ed elencato nella vista ad albero
  5. Shell (guscio) da facce
    1. Selezionare le facce di un oggetto nella vista 3D
    2. Selezionare se la forma deve essere affinata
    3. Selezionare se tutte le facce devono essere incluse nel guscio
    4. Cliccare su Crea
    5. L'oggetto viene creato nella vista 3D ed elencato nella vista ad albero
  6. Solido da shell
    1. Selezionare se la forma deve essere affinata
    2. Cliccare su Crea
    3. L'oggetto viene creato nella vista 3D ed elencato nella vista ad albero

Limitazioni


Note

Un possibile flusso di lavoro potrebbe essere:

  • Disegnare un modello filiforme della forma utilizzando gli strumenti dell'ambiente Draft (ad esempio, linea e polilinea)
  • Creare tutte le facce con "Faccia da bordi"
  • Creare un "Shell da facce"
  • Creare un "Solido da shell"

Nell'ambiente Draft sono disponibili gli strumenti Draft Upgrade.png Promuovi e Draft Downgrade.png Declassa che permettono di lavorare sulla composizione e scomposizione delle forme.

Arrow-left.svg Part CreatePrimitives.png Creare Primitive Pagina precedente:
Pagina successiva: Operazioni booleane Part Booleans.png Arrow-right.svg


Ambiente Parte: Modificare gli oggetti

Estrudi

Arrow-left.svg Part CompoundFilter.png Filtra composto Pagina precedente:
Pagina successiva: Raccorda Part Fillet.png Arrow-right.svg

Part Extrude.svg Estrusione

Posizione nel menu
Parte → Estrudi...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Tronca o estendi

Part Extrude demo.png

Descrizione

Estrusione dell'ambiente Parte estende una forma per una determinata distanza e in una direzione specifica. Il tipo di forma prodotta varia a seconda del tipo di forma in input e le opzioni selezionate.

Di solito, secondo il tipo di forma in ingresso, si ottiene le seguente forma:

  • Estrudere un Vertex (punto), produce un Edge (Linea)
  • Estrudere una linea aperta (es. linea, arco), produce una faccia aperta (es. piano)
  • Estrudere una linea chiusa (es. cerchio), produce a scelta una faccia chiusa (es. un fondo di un cilindro) oppure se il parametro "solid" è "true" produce un solido (es. un cilindro solido)
  • Estrudere un Wire aperto (es. un Draft Wire), produce un guscio aperto (diverse facce unite)
  • Estrudere Wire chiuso (es. un Draft Wire), produce a scelta un guscio oppure se il parametro "solid" è "true" produce un solido
  • Estrudere una faccia (es. piano), produce un solido (es. Cuboide)
  • Estrudere un Draft Shape String, produce un composto di solidi (la stringa è un composto delle lettere che sono ciascuna un solido)
  • Estrudere una shell di facce, produce un Compsolid.

Uso

  1. Selezionare la forma nella vista 3D o nell'albero del modello
  2. Cliccare sull'icona Part Extrude.png Estrudi nella barra degli strumenti, oppure andare nel menu Part → Estrudi
  3. Impostare la direzione e la lunghezza e opzionalmente altri parametri, per maggiori informazioni vedere la sezione Parametri.
  4. Cliccare su OK.

In alternativa, la selezione può essere fatta dopo aver avviato lo strumento, selezionando una o più forme della lista nel pannello Azioni.

L'albero del modello elenca tanti oggetti estrusi quante erano le forme selezionate. Ogni forma di partenza è posizionata sotto il suo oggetto estrusione.

Parametri

La forma Estrusione è definita dai seguenti parametri, che dopo la sua creazione possono essere modificati nella scheda Dati.

  • Base: la forma di input (la forma su cui è stata applicata l'estrusione Part)
  • Dir: la direzione in cui estendere la forma. Se Dir Mode è 'Custom', si può modificare Dir. Altrimenti, Dir è di sola lettura ed è calcolata dalla forma collegata.
  • Dir Link: collegamento parametrico a un bordo (linea) che imposta la direzione dell'estrusione. Dalla v0.17, questa proprietà non è supportata dall'editor delle proprietà.
  • Dir Mode: imposta il controllo di Dir. 'Custom' significa che Dir è modificabile. 'Edge' significa che Dir è ottenuta da un bordo (linea) collegato a Dir Link. 'Normal' significa che Dir è perpendicolare al piano della forma di input.
  • Length Fwd: La lunghezza di estrusione. Se entrambi Length Fwd e Length Rev sono zero, viene utilizzata la lunghezza del vettore 'Dir' .
  • Length Rev: Lunghezza aggiuntiva di estrusione in senso contrario a Dir.
  • Solid: se True, l'estrusione di un bordo chiuso o di un contorno chiuso produce un solido. Se False, il risultato è un guscio.
  • Reversed: inverte l'estrusione in senso contrario a Dir.
  • Symmetric: se True, l'estrusione è centrata sulla forma di input e la lunghezza totale è Length Fwd. Length Rev viene ignorata.
  • Taper Angle e Taper Angle Rev: applica un angolo all'estrusione, in modo che i lati dell'estrusione vengano disegnati secondo l'angolo specificato. Un angolo positivo significa che la sezione trasversale si espande. Taper Angle Rev imposta la conicità per la parte invertita dell'estrusione (la parte indicata da Length Rev). Dalla v0.17, l'estrusione rastremata è supportata solo per i contorni senza fori. La conicità non funziona bene se la forma estrusa contiene delle B-spline.
  • Face Maker Class: imposta il nome della classe C++ del codice di creazione della faccia, che viene utilizzato quando si creano dei solidi dai contorni. Questa proprietà serve principalmente per mantenere la compatibilità con le versioni precedenti. Non toccare, a meno che non si sappia esattamente cosa si sta facendo.
  • Label: etichetta da mostrare nell'albero del modello (non disponibile nella creazione dell'estrusione)

Finestra di dialogo delle azioni

Part Extrude dialog.png
  • OK: crea l'estrusione e chiude la finestra di dialogo.
  • Close: chiude il dialogo, senza fare nulla.
  • Apply: crea l'estrusione, ma non chiude la finestra di dialogo. È quindi possibile selezionare un'altra forma nell'elenco in basso e creare ulteriori estrusioni. Facendo clic su Applica più volte si creano molte estrusioni.
  • 'Direction' pulsante di opzioni: imposta il modo in cui viene calcolata la direzione di estrusione.
  • 'Select' pulsante: fare clic su di esso, quindi selezionare un bordo nella vista 3D. Questo bordo appare nel campo di testo accanto al pulsante, nel formato "ObjectName:EdgeN". Si può anche digitare il link manualmente. I valori X, Y, Z sono riempiti secondo la direzione del bordo.
  • X, Y, Z pulsanti: fare clic sul pulsante X per impostare la direzione dell'estrusione sull'asse +X. Fare nuovamente clic per impostare l'asse -X.
  • X,Y,Z campi di input: imposta o visualizza il vettore di direzione dell'estrusione. Se entrambe le lunghezze sono pari a zero, la lunghezza di questo vettore imposta la lunghezza dell'estrusione ed i valori sono sempre espressi in mm, indipendentemente dalle preferenze dell'unità di misura.
  • Length campi: impostano la lunghezza dell'estrusione. Questi campi di input hanno il supporto dell'unità di misura.
  • Symmetric: distribuisce l'estrusione in entrambe le direzioni, in modo che il profilo rimanga nel mezzo.
  • Taper Outward Angle: angolo positivo indica che il profilo viene espanso all'altra estremità dell'estrusione.
  • Create Solid casella di controllo: se selezionata, l'estrusione di un contorno o bordo chiuso produce una faccia. Se è stato preselezionato un contorno chiuso prima di richiamare l'estrusione Part viene controllato di default.
  • Shape list: qui si seleziona quali forme estrudere. Se sono selezionati più oggetti, vengono creati più oggetti di estrusione.

Suggerimenti

La finestra di dialogo Part Extrude non offre ancora un'anteprima. 'Applica' crea un oggetto estrusione ogni volta che si fa clic su di esso, e questo può essere utile come anteprima, ma queste rimangono anche quando si fa clic su OK per creare la forma definitiva. Per pulire il modello può essere utile cliccare su Annulla prima di fare clic su OK.

Dalla v0.17, uno schizzo creato da PartDesign non può essere utilizzato per Part Extrude, se si trova all'interno di un corpo e appare l'errore ("Links go out of allowed scope" error). Per estrudere uno schizzo in Part, è necessario creare uno schizzo dall'ambiente Sketcher. Oppure semplicemente trascinare uno schizzo di PartDesign fuori da un corpo.

L'estrusione con angolo rastremato non supporta i fori. Può anche dare risultati fasulli se il numero di segmenti nel profilo cambia a causa della rastremazione.

Comparazione con il Pad di PartDesign

Il Pad di PartDesign è anche una funzione di estrusione, ma ci sono delle differenze importanti.

L'estrusione di Part crea sempre una forma a sè stante. Il Pad di PartDesign fonde il risultato dell'estrusione con il resto del corpo.

Con l'estrusione di Part non è importante la sua posizione trova nell'albero del modello. Il Pad di PartDesign può esistere solo all'interno di un Corpo.

L'estrusione di Part può estrudere qualsiasi oggetto che abbia una Part Geometry (forma OCC), ad eccezione dei solidi e dei solidi composti, e non può estrudere le singole facce di altri oggetti. Il Pad di PartDesign accetta solo uno schizzo come profilo (e una piccola selezione di altri tipi di oggetti), o una faccia di un solido.

Arrow-left.svg Part CompoundFilter.png Filtra composto Pagina precedente:
Pagina successiva: Raccorda Part Fillet.png Arrow-right.svg

Rivoluziona

Arrow-left.svg Part Fillet.png Raccorda Pagina precedente:
Pagina successiva: Seziona Part Section.png Arrow-right.svg

Part Revolve.svg Rivoluziona

Posizione nel menu
Parte → Rivoluziona...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche


Ruota l'oggetto selezionato e crea una rivoluzione intorno a un dato asse. Si possono ruotare i seguenti tipi di oggetti che producono le corrispondenti forme (Vedere Note di eccezioni):

Forma originale Forma prodotta
Vertice Bordo
Bordo Superficie
Wire (polilinea) Shell (guscio)
Faccia Solido
Shell Solido composto (Compsolid)

I solidi o i solidi composti non sono ammessi come forme di ingresso. I solidi composti, attualmente, non sono ancora utilizzabili. Le versioni future verificheranno le forme effettive e il tipo di oggetto composto.

Dialog-revolve it.png

L'argomento Angolo specifica di quanto deve essere ruotato l'oggetto. Le coordinate spostano l'origine dell'asse di rotazione, rispetto all'origine delle coordinate del sistema.

Quando si seleziona un asse definito dall'utente, i numeri definiscono la direzione dell'asse di rotazione rispetto alle coordinate del sistema: se Z è 0 e Y e X non sono zero, allora l'asse si trova nel piano XY. Il suo angolo è tale che la tangente è il rapporto tra le coordinate X e Y date.

Note

  • Se la versione di FreeCAD ha la casella di controllo per Solid nella finestra di dialogo Revolve, è possibile creare dei solidi anche da Polilinee chiuse e da Bordi, Wires e Edges.
  • Se la Rivoluzione viene eseguita utilizzando un asse che interseca la faccia da ruotare, e si desidera creare un solido, il risultato potrebbe non essere valido. Questo può accadere per diversi motivi, di auto-incrocio, direzione, etc.
Arrow-left.svg Part Fillet.png Raccorda Pagina precedente:
Pagina successiva: Seziona Part Section.png Arrow-right.svg

Rifletti

Arrow-left.svg Part Chamfer.png Smussa Pagina precedente:
Pagina successiva: Superficie rigata Part RuledSurface.png Arrow-right.svg

Part Mirror.svg Specchia

Posizione nel menu
Parte → Specchia...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche


Introduzione

Crea un nuovo oggetto (un duplicato) di un oggetto di tipo Parte che è una riflessione dell'oggetto originale (sorgente). L'oggetto duplicato viene creato tramite un piano di riflessione. Il piano di riflessione può essere un piano standard (XY, YZ o XZ), o qualsiasi piano parallelo ad un piano standard.

Esempio:

L'oggetto originale
L'originale e il duplicato (riflesso rispetto al piano YZ)


Utilizzo

PARTMirrorDialogv11.png
  • Selezionare l'oggetto sorgente nella lista.
  • Selezionare un Piano di specchiatura.
  • Definire un eventuale Punto base diverso da 0,0,0.
  • Premere OK per creare il duplicato.


Opzioni

Le caselle Punto base possono essere utilizzate per spostare il piano di specchiatura parallelamente al piano standard selezionato (scostamento). Solo una delle caselle X, Y, o Z è attiva per un determinato piano.

Piano Standard Punto Base Effetto
XY Z Sposta il piano lungo l'asse Z.
XY X, Y Nessun effetto.
XZ Y Sposta il piano lungo l'asse Y.
XZ X, Z Nessun effetto.
YZ X Sposta il piano lungo l'asse X.
YZ Y, Z Nessun effetto.

Limitazioni

  • Al momento non è possibile usare dei piani arbitrari, non paralleli ai piani standard, come piani di specchiatura.


Arrow-left.svg Part Chamfer.png Smussa Pagina precedente:
Pagina successiva: Superficie rigata Part RuledSurface.png Arrow-right.svg

Raccorda

Arrow-left.svg Part Extrude.png Estrudi Pagina precedente:
Pagina successiva: Rivoluziona Part Revolve.png Arrow-right.svg

Part Fillet.svg Raccorda

Posizione nel menu
Parte → Raccorda...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Smussa


Descrizione

Questo strumento raccorda (arrotonda) i bordi selezionati di un oggetto. Una finestra di dialogo consente di scegliere gli oggetti e i bordi su cui lavorare.

Utilizzo

  1. Avviare lo strumento raccorda dell'ambiente Parte. Gli oggetti possono essere selezionati in precedenza.
  2. Se la forma non è stata selezionata in precedenza, è possibile selezionarla nel menu della scheda Azioni.
  3. Selezionare il tipo di raccordo, a raggio costante (di default), oppure a raggio variabile.
  4. Selezionare gli spigoli da raccordare, nella vista 3D, oppure nel pannello delle Azioni.
  5. Stabilire il valore del raggio, poi
  6. Confermare con il pulsante OK.
Dialog-fillet it.png


Differenze tra il raccordo di Parte e il raccordo di PartDesign

Vi è un altro strumento di raccordo in PartDesign. Si prega di notare che il loro funzionamento è molto diverso. Per le differenze vedere la pagina Raccordo di PartDesign.

Note sulla applicazione del Raccordo di Parte

Il raccordo potrebbe non fare nulla se il risultato tocca o attraversa il bordo adiacente successivo. Quindi, se non si ottiene il risultato atteso, provare con un valore inferiore. Lo stesso vale per lo Smusso di Part.


Lo strumento Raccordo a volte fallisce quando si tenta di raccordare oggetti complessi. Una causa comune di questo può essere dovuta al fatto che la forma che viene raccordata non è geometricamente corretta. Questo può essere il risultato di linee, piani, ecc. in esubero che non vengono rimossi dopo le precedenti operazioni utilizzate per costruire la forma (ad esempio Taglia, Intersezione o Fusione). Per minimizzare i problemi si può:

  • dove è possibile lasciare questa operazione per ultima, fino a quando la parte non è completamente generata. Questo riduce al minimo l'interazione dei raccordi con le successive operazioni booleane;
  • Usare Part → Controlla Geometria per verificare la presenza di eventuali errori nella geometria della forma e correggerli;
  • Usare Part → Affina forma per rimuovere eventuali artefatti introdotti da precedenti operazioni booleane prima dei raccordi (e in alcuni casi tra operazioni di raccordi in sequenza);
  • Considerare di usare Modifica → Preferenze → PartDesign per abilitare il controllo e l'affinazione automatica del modello dopo le operazioni booleane e le operazioni basate su schizzi (se queste opzioni sono attive, le prestazioni possono risentirne).


Notare inoltre che la funzione Raccordo è soggetta al problema della denominazione topologica quando viene apportata una qualsiasi modifica a una fase di modellazione precedente nella catena che influenza il numero di sfaccettature o vertici. Ciò può causare risultati imprevedibili. Fino a quando ciò non viene risolto (possibilmente con V0.19), si consiglia di applicare le operazioni di raccordo e di smusso negli ultimi passi della catena.


Arrow-left.svg Part Extrude.png Estrudi Pagina precedente:
Pagina successiva: Rivoluziona Part Revolve.png Arrow-right.svg


Smussa

Arrow-left.svg Part SectionCross.png Sezioni Pagina precedente:
Pagina successiva: Specchia Part Mirror.png Arrow-right.svg

Part Chamfer.svg Smussa

Posizione nel menu
Parte → Smussa...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Raccorda...


Descrizione

Questo strumento smussa i bordi selezionati di un oggetto. Una finestra di dialogo consente di scegliere su quali oggetti e su quali bordi lavorare e di impostare i parametri dello smusso.

Chamfer example

Uso

  1. Premere il pulsante Part Chamfer.svg dell'ambiente Part, oppure selezionare Part → Smussa....
  2. Selezionare la forma da smussare dalla finestra di dialogo.
  3. Selezionare i bordi da smussare attivando la casella corrispondente nella finestra di dialogo Smusso o selezionandoli direttamente sul modello.
  4. Definire i parametri dello smusso.
  5. Premere OK per chiudere la finestra e applicare lo smusso.

Opzioni

Dialog-chamfer

  • Quando si selezionano i bordi del modello, si ha la possibilità di selezionarli singolarmente o per facce. In molte situazioni la selezione per facce può essere più efficiente .
  • Smusso di larghezza costante o variabile.
    • Uno smusso di larghezza costante crea una smusso con i bordi equidistanti al bordo iniziale, alla distanza specificata.
    • Uno smusso variabile ha i bordi che possono essere impostati a distanze diverse dal bordo originale, e consente di creare uno smusso angolato a piacere.

Proprietà

Part_Chamfer Properties


Base

  • DATABase: La forma su cui lo smusso deve essere applicato.
  • DATAPlacement: Specifica l'orientamento e la posizione della forma nello spazio 3D.
  • DATALabel: L'etichetta che attiva l'oggetto. Modificabile secondo le esigenze.


Limitazioni

Lo smusso potrebbe non fare nulla se il risultato tocca o attraversa il bordo adiacente successivo. Quindi, se non si ottiene il risultato atteso, provare con un valore inferiore. Lo stesso vale per il Raccordo di Part.

Notare inoltre che la funzione Smusso è soggetta al problema della denominazione topologica quando viene apportata una qualsiasi modifica a una fase di modellazione precedente nella catena che influenza il numero di sfaccettature o vertici. Ciò può causare risultati imprevedibili. Fino a quando ciò non viene risolto (possibilmente con V0.19), si consiglia di applicare le operazioni di smusso e di raccordo negli ultimi passi della catena.


Script

Lo strumento smusso può essere utilizzato nelle macro e dalla console python aggiungendo un oggetto smusso al documento.

Esempio di Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Descrizione dell'esempio:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Crea un cubo di 5 mm a cui applicare lo smusso dei bordi. Per una spiegazione del metodo makeBox vedere Part_API.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Aggiunge al documento un nuovo oggetto di tipo Smusso (del modulo Parte) con l'etichetta "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Specifica che la forma base dell'oggetto smusso è "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Crea un array "myEdges" vuoto e poi aggiunge l'array con i parametri di smusso di ogni bordo.
  • Las Sintassi per ogni voce deve essere (edge#, chamfer start length, chamfer end length) (bordo#, larghezza iniziale, larghezza finale)
chmfr.Edges = myEdges
  • Imposta l'attributo dei bordi dell'oggetto smusso secondo la matrice appena creata.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Questa riga nasconde semplicemente "myCube" in modo che l'oggetto "myChamfer" appena creato sia l'unico oggetto visibile.
FreeCAD.ActiveDocument.recompute()
  • Ricalcola tutti i componenti modificati e presenti sullo schermo e aggiorna la visualizzazione.
Arrow-left.svg Part SectionCross.png Sezioni Pagina precedente:
Pagina successiva: Specchia Part Mirror.png Arrow-right.svg

Booleana

Arrow-left.svg Part Shapebuilder.png Genera una forma Pagina precedente:
Pagina successiva: Unione Part Union.png Arrow-right.svg

Part Booleans.svg Booleana

Posizione nel menu
Parte → Booleana...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Unione , Intersezione, Sottrazione e Sezione


Questo comando è un strumento booleano generico tutto-in-uno. Esso consente di specificare quale operazione eseguire e quali parametri utilizzare tramite la finestra di dialogo sottostante.

Per accedere più velocemente alle operazioni booleane, vedere Unione , Intersezione, Sottrazione e Sezione.

Dialog-boolean it.png

Pulire la forma

Dopo una operazione booleana, l'oggetto prodotto può contenere delle linee superflue che derivano dalle forme originali, per ripulirlo, si può:

  • utilizzare il comando Parte → Affinare una forma
  • utilizzare il comando OpenSCAD RefineShapeFeature.png Affina Forma di OpenScad, oppure
  • per ottenere subito una forma pulita e non dover ricorrere a questo comando, attivare la voce Affina automaticamente il modello... nelle preferenze


Vedere anche Part → Affina forma


Arrow-left.svg Part Shapebuilder.png Genera una forma Pagina precedente:
Pagina successiva: Unione Part Union.png Arrow-right.svg

Sottrai

Arrow-left.svg Part Common.png Intersezione Pagina precedente:
Pagina successiva: Giunzione Part JoinConnect.png Arrow-right.svg

Part Cut.svg Sottrai

Posizione nel menu
Part → Booleana → Sottrai
Ambiente
Parte, Completo
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Unione, Intersezione


Descrizione

Sottrae gli oggetti Parte selezionati, l'ultimo viene sottratto dal primo. Questa operazione è completamente parametrica e i componenti possono essere modificati e il risultato ricalcolato.

Cut


Utilizzo

  1. Selezionare due forme.
  2. Premere il pulsante PartBooleanaTaglio dal menu principale o il pulsante Part Cut.png Taglio dalla barra degli strumenti.

Input supportati

Gli oggetti in ingresso devono essere delle forme OpenCascade. Ad esempio: cose fatte con gli ambienti Parte, PartDesign o Sketcher. Non mesh (a meno che essi non siano stati convertiti in Forme). Per gli oggetti mesh ci sono strumenti booleani specifici nell'ambiente Mesh.

Arrow-left.svg Part Common.png Intersezione Pagina precedente:
Pagina successiva: Giunzione Part JoinConnect.png Arrow-right.svg

Unisci

Arrow-left.svg Part Booleans.png Operazioni booleane Pagina precedente:
Pagina successiva: Intersezione Part Common.png Arrow-right.svg

Part Fuse.png Unione

Posizione nel menu
Parte → Operazione booleana → Unione
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Sottrazione, Intersezione


Descrizione

Il comando fonde gli oggetti Parte selezionati in uno solo. Questa operazione è completamente parametrica e le componenti possono essere modificate e il risultato ricalcolato.

Questo comando consente di eseguire rapidamente questa operazione Booleana.

Uso

  1. Selezionare due o più forme
  2. Premere il pulsante Part Fuse.png Fusione.

Input supportati

Gli oggetti in ingresso devono essere delle forme OpenCascade. Ad esempio: cose fatte con gli ambienti Parte, PartDesign o Sketcher. Non mesh (a meno che essi non siano stati convertiti in Forme). Per gli oggetti mesh ci sono strumenti booleani specifici nell'ambiente Mesh.

  • Solido + Solido: il risultato è un solido che occupa tutto il volume coperto dagli oggetti in ingresso
  • Shell + Shell, Shell + Face, Face + Face: il risultato è un guscio. Le facce che si intersecano sono divise. I gusci possono essere non-manifold. Dopo la fusione, le facce possono essere unite Affinando il risultato.
  • Wire + Wire, Edge + Wire, Edge + Edge: il risultato è un wire (polilinea). I bordi (edge) sono divisi dove si intersecano.

I composti sono supportati a condizione che le forme confezionate in un composto non si tocchino o si intersechino. Se lo fanno, la Fusione probabilmente fallisce, o produce un risultato errato.

Opzioni

Gli elementi possono essere aggiunti e rimossi dalla fusione, trascinandoli dentro o fuori dalla funzione fusione nella vista ad albero, con il mouse. È necessario un ricalcolo manuale (premere il tasto F5 o fare clic sull'icona ricalcolo) per vedere i risultati.

Pulire la forma

Il risultato della fusione di più oggetti può contenere linee superflue che derivano dalle forme originali, per ripulirlo, si può:

oppure per ottenere subito una forma pulita e non dover ricorrere a questo comando, attivare la voce Affina automaticamente il modello... nelle preferenze

Arrow-left.svg Part Booleans.png Operazioni booleane Pagina precedente:
Pagina successiva: Intersezione Part Common.png Arrow-right.svg

Interseca

Arrow-left.svg Part Union.png Unione Pagina precedente:
Pagina successiva: Taglio Part Cut.png Arrow-right.svg

Part Common.svg Intersezione

Posizione nel menu
Part → Intersezione
Ambiente
Parte, Completo
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Unione, Sottrazione


La funzione estrae la parte comune (intersezione) tra gli oggetti Parte selezionati. Questa operazione è completamente parametrica, le componenti possono essere modificate e il risultato ricalcolato.

Uso

  1. Selezionare due forme
  2. Premere il pulsante Part Common.png Intersezione.

Input supportati

Gli oggetti in ingresso devono essere delle forme OpenCascade. Ad esempio: cose fatte con gli ambienti Parte, PartDesign o Sketcher. Non mesh (a meno che essi non siano stati convertiti in Forme). Per gli oggetti mesh ci sono strumenti booleani specifici nell'ambiente Mesh.

Arrow-left.svg Part Union.png Unione Pagina precedente:
Pagina successiva: Taglio Part Cut.png Arrow-right.svg

Seziona

Arrow-left.svg Part Defeaturing.svg Elimina funzione Pagina precedente:
Pagina successiva: Sezioni Part SectionCross.png Arrow-right.svg

Part Section.svg Seziona

Posizione nel menu
Parte → Seziona
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Sezioni


Introduzione

Crea una sezione attraverso l'intersezione di due oggetti selezionati, l'ultimo oggetto viene utilizzato come piano di sezione. Questa operazione è completamente parametrica: si possono modificare i componenti e il risultato viene ricalcolato.


In questo esempio un cubo viene sezionato con un cilindro:

PartSection1 it.png
  • Base: oggetto base, il Box
  • Tool: lo strumento di sezione, il Cilindro


Uso

  1. Selezionare l'oggetto base
  2. Selezionare l'oggetto strumento
  3. Cliccare su PartPart Section.png Seziona dal menu in alto.

Link

Per creare delle sezioni con un piano di sezione vedere la pagina Sezioni.


Arrow-left.svg Part Defeaturing.svg Elimina funzione Pagina precedente:
Pagina successiva: Sezioni Part SectionCross.png Arrow-right.svg

Sezioni

Arrow-left.svg Part Section.png Seziona Pagina precedente:
Pagina successiva: Smussa Part Chamfer.png Arrow-right.svg

Part SectionCross.png Sezioni...

Posizione nel menu
Parte → Sezioni...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Seziona


Descrizione

L'utilità Sezioni... crea una o più sezioni trasversali attraverso la forma selezionata.

Uso

  1. Selezionare una forma.
  2. Premere il pulsante Part SectionCross.png Sezioni....
  3. Definire il piano guida.
  4. Definire la posizione (altezza della sezione trasversale).
  5. Facoltativamente, selezionare Sezioni per creare più di una sezione trasversale:
    • Selezionando "Su entrambi i lati" le sezioni trasversali sono distribuite su ciascun lato della posizione del piano di guida.
    • Impostare il numero di sezioni.
  6. Premere OK.

Limitazioni

  • L'oggetto risultante non è parametrico, cioè non è collegato alla forma originale.
  • Viene creato un singolo oggetto, anche con più di una sezione trasversale.

Esempio

Selezionare un oggetto


Finestra di dialogo


Risultato


Arrow-left.svg Part Section.png Seziona Pagina precedente:
Pagina successiva: Smussa Part Chamfer.png Arrow-right.svg

Superficie rigata

Arrow-left.svg Part Mirror.png Specchia Pagina precedente:
Pagina successiva: Sweep Part Sweep.png Arrow-right.svg

Part RuledSurface.svg Superficie rigata

Posizione nel menu
Parte → Superficie rigata
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche


Descrizione

Questo strumento crea una superficie rigata tra due linee o bordi selezionati in precedenza.

PartRuledSurface it.png


Utilizzo

  1. Selezionare due linee o due spigoli
  2. Eseguire lo strumento

Altro

La macro Sviluppa superfici rigate permette di creare e inserire in una tavola di disegno lo sviluppo di una superficie rigata.


Arrow-left.svg Part Mirror.png Specchia Pagina precedente:
Pagina successiva: Sweep Part Sweep.png Arrow-right.svg

Sweep


Arrow-left.svg Part RuledSurface.png Superficie rigata Pagina precedente:
Pagina successiva: Strumenti offset Part CompOffsetTools.png Arrow-right.svg

Part Sweep.svg Sweep

Posizione nel menu
Parte → Sweep...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Loft


Descrizione

Lo strumento Part Sweep di FreeCAD serve per creare una faccia, un guscio o una forma solida da uno o più profili (la sezione trasversale), proiettati lungo un percorso.

Lo strumento Parte Sweep è simile a Part Loft, ma con l'aggiunta di un percorso per definire la proiezione tra i profili.

Un solido sweep generato da un profilo (A) proiettato lungo un percorso (B).


Utilizzo

  1. Premere il pulsante Part Sweep.png Sweep. Questo apre la finestra per impostare i parametri di Sweep nel pannello Attività.
  2. Nella colonna di sinistra Profili disponibili (precedentemente nella Versione 0.16 Vertex/Edge/Wire/Face), fare clic sull'elemento da utilizzare come profilo di sweep, quindi fare clic sulla freccia destra per posizionarlo nella colonna di destra Profili selezionati (precedentemente nella Versione 0.16 Sweep). Ripetere se si desidera usare più di un profilo. Utilizzare le frecce su e giù per riordinare i profili selezionati.
  3. Cliccare sul pulsante Percorso Sweep, quindi scegliere una delle due modalità di selezione:
    • Seleziona singoli segmenti: si può selezionare uno o più bordi contigui nella vista 3D (premere CTRL per selezioni multiple) e poi cliccare su Done. Lo sweep viene generato solo lungo i bordi selezionati.
    • Seleziona un percorso completo: si deve passare alla scheda Modello, selezionare nell'albero l'oggetto 2D da utilizzare come percorso, tornare al pannello Attività e fare clic su Done. Lo sweep viene generato lungo tutti i bordi contigui trovati nell'oggetto 2D.
  4. Definire le opzioni Solido e Frenet.
  5. Cliccare OK.

Geometrie accettate

I profili possono essere un punto (vertice), una linea (bordo), un wire o una faccia. Bordi e wire possono essere di tipo aperto o chiuso. Ci sono varie limitazioni e complicazioni dei profili, descritte in seguito, tuttavia i profili possono provenire da primitive di Parte, da funzioni di Draft e da Schizzi.

Il percorso può essere costituito da una linea (bordo) o una serie di linee collegate, un wire o da alcune primitive di Parte, da funzioni di Draft e da Schizzi. Il percorso viene spesso selezionato direttamente nella finestra del modello principale, ma può anche essere selezionato dalla Vista ad albero, nella scheda Modello della Vista Combinata. Il percorso può essere una forma unica appropriata oppure un sotto-componente appropriato di una forma più complessa (ad esempio, come percorso può essere selezionato un bordo di un cubo di Parte). Il percorso può essere aperto o chiuso e quindi si può creare un Sweep aperto o chiuso. Un percorso chiuso come un cerchio Parte produce un Sweep chiuso. Ad esempio, lo Sweep di un cerchio piccolo lungo il percorso di un cerchio più grande crea un toro.


Proprietà

Solido

Se "Solid" è impostato "true" FreeCAD crea un solido se i profili sono delle geometrie chiuse, se è impostato "false" crea una faccia o, un guscio se ci sono più facce, sia per profili aperti che chiusi.

Frenet

Sweep-frenet-comp.png

La proprietà "Frenet" controlla come cambia l'orientamento del profilo lungo il percorso di sweep. Se "Frenet" è "false", l'orientamento del profilo rimane sempre lo stesso per tutti i punti. La forma risultante è quella con la minima torsione possibile. Quando un profilo viene trascinato lungo un'elica, questo causa una lenta rotazione del profilo mentre segue dell'elica. Impostando "Frenet" su true si previene questa rotazione. Se "Frenet" è "true", lungo un percorso elicoidale l'orientamento del profilo sarà coerente all'orientamento locale del percorso.

Se "Frenet" è "true" l'orientamento del profilo è calcolato basandosi sulla curvatura e tangenza dei vettori locali del percorso. Ciò mantiene l'orientamento del profilo coerente quando si muove lungo un'elica (in quanto il vettore di curvatura di un'elica punta sempre al suo asse). Tuttavia, quando percorso non è un'elica, la forma risultante può a volte avere strane torsioni. Per maggiori informazioni vedere Frenet Serret formulas.

Transition

"Transition" imposta lo stile di transizione (raccordo) del Sweep in un giunto nel percorso, se il percorso non definisce l'angolo di transizione (per esempio se il percorso è una spezzata). La proprietà non è mostrata nella finestra Azioni e può essere trovata nella proprietà dopo che lo sweep è stato creato.

Limitazioni e complicazioni dei profili

  • Un vertice o un punto
    • vertice o punto possono essere utilizzati solo come primo e/o ultimo profilo nella lista dei profili.
      • Per esempio
        • non si può realizzare uno Sweep da un cerchio ad un punto,e poi ad una ellisse.
        • Tuttavia si può realizzare uno Sweep da un punto a un cerchio a un'ellisse a un altro punto.
  • Profili geometrici aperti o chiusi non possono essere mischiati in un unico Sweep
    • In uno Sweep, tutti i profili usati (wire, linee ecc) devono essere dello stesso tipo, aperto o chiuso.
      • Per esempio
        • FreeCAD non può creare uno Sweep tra un cerchio di Parte e una linea di default di Parte.
  • Funzioni di Draft
    • Le Funzioni di Draft possono essere utilizzate direttamente come profilo in FreeCAD 0.14 o versioni successive.
      • Ad esempio, le seguenti funzioni di Draft possono essere utilizzate come profili in un Sweep Parte
        • Poligono.
        • Punto, Linea, Wire
        • B-spline, Curva di Bezier
        • Cerchio, Ellisse, Rettangolo
  • Schizzi e PartDesign
    • Il profilo può essere creato con uno schizzo. Tuttavia solo gli schizzi validi verranno visualizzati nell'elenco di quelli disponibili per la selezione.
    • Lo schizzo deve contenere un solo wire o linea aperta o chiusa (può essere composto da più segmenti, in quanto se questi segmenti sono tutti collegati costituiscono un unico wire)
  • Part
    • il profilo può essere una primitiva geometrica valida di Part che può essere creata con lo strumento Crea Primitive
      • Per esempio le seguenti primitive geometriche di Part possono essere un profilo valido
        • Punto (Vertex), Linea (Edge)
        • Elica, Spirale
        • Cerchio, Ellisse
        • Poligono regolare
        • Piano (Face)

Link

  • Poiché Sweep viene spesso utilizzato per creare i filetti per viti e bulloni può essere utile consultare il Tutorial per le filettature



Arrow-left.svg Part RuledSurface.png Superficie rigata Pagina precedente:
Pagina successiva: Strumenti offset Part CompOffsetTools.png Arrow-right.svg

Loft

Arrow-left.svg Part Sweep.png Sweep Pagina precedente:
Pagina successiva: Offset 3D Part Offset.png Arrow-right.svg

Part Loft.svg Loft

Posizione nel menu
Part → Loft...
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Sweep


Introduzione

Lo strumento Loft di FreeCAD (dell'ambiente Parte), viene utilizzato per creare una faccia, un guscio o una forma solida da due o più profili. I profili possono essere un punto (vertice), una linea (bordo), una spezzata o una faccia. Bordi e wire possono essere di tipo aperto o chiuso. Ci sono varie limitazioni e complicazioni, descritte in seguito, tuttavia i profili possono provenire da primitive di Parte, da funzioni di Draft e da Schizzi.

Loft dispone di tre parametri, "Ruled", "Solid" e "Closed" ciascuno con il valore di "vero" o "falso".

Se "Ruled" è "true" FreeCAD crea una faccia, e delle facce o un solido dalle superfici rigate. Vedere la pagina Ruled surface in Wikipedia.

Se "Solid" è "true" FreeCAD crea un solido se i profili sono una geometria chiusa, se è "false" crea una faccia oppure un guscio se c'è più di una faccia, sia per profili aperti che chiusi.

Se "Closed" è "true" FreeCAD tenta di collegare l'ultimo profilo al primo profilo per creare una figura chiusa.

Per ulteriori informazioni su come i profili sono uniti, fare riferimento alla pagina Dettagli tecnici di Part Loft.

Part_Loft. Da tre profili di cui due sono Part_Circles e uno è Part_Ellipse. I parametri sono Solid "True" e Ruled "True"

Limitazioni e complicazioni

  • Un vertice o un punto
    • vertice o punto possono essere utilizzati solo come primo e/o ultimo profilo nella lista dei profili.
      • Per esempio
        • non si può realizzare un Loft da un cerchio ad un punto,e poi ad una ellisse.
        • Tuttavia si può realizzare un Loft da un punto a un cerchio a un'ellisse a un altro punto.
  • Profili geometrici aperti o chiusi non possono essere mischiati in un unico Loft
    • In uno Loft, tutti i profili usati (wire, linee ecc) devono essere dello stesso tipo, aperto o chiuso.
      • Per esempio
        • FreeCAD non può creare un Loft tra un cerchio di Parte e una linea di default di Parte.
  • Funzioni di Draft
    • Le Funzioni di Draft possono essere utilizzate direttamente come profilo in FreeCAD 0.14 o versioni successive.
      • Ad esempio, le seguent funzioni di Draft possono essere utilizzate come profili in un Loft Parte
        • Poligono.
        • Punto, Linea, Wire
        • B-spline, Curva di Bezier
        • Cerchio, Ellisse, Rettangolo
  • Schizzi e PartDesign
    • Il profilo può essere creato con uno schizzo. Tuttavia solo gli schizzi validi verranno visualizzati nell'elenco di quelli disponibili per la selezione.
    • Lo schizzo deve contenere un solo wire o linea aperta o chiusa (può essere composto da più segmenti, in quanto se questi segmenti sono tutti collegati costituiscono un unico wire)
  • Part
    • il profilo può essere una primitiva geometrica valida di Part che può essere creata con lo strumento Crea Primitive
      • Per esempio le seguenti primitive geometriche di Part possono essere un profilo valido
        • Punto (Vertex), Linea (Edge)
        • Elica, Spirale
        • Cerchio, Ellisse
        • Poligono regolare
        • Piano (Face)
  • Loft chiusi
    • I risultati dei loft chiusi possono essere inaspettati - il loft può produrre torsioni o piegature. L'operazione Loft è molto sensibile al posizionamento dei profili e per collegare i corrispondenti vertici in tutti i profili servono curve molto complesse.

Un esempio di Loft

Lo strumento Loft si trova nell'ambiente Parte, menu Parte -> Loft ... o tramite l'icona nella barra degli strumenti.

Part Loft Ikon Ballon Hilfe.png

Nella sezione "Azioni" della "Vista Combinata" ci sono due liste: "Vertice/Spigolo/Wire/Faccia" e "Loft".

Loft it 2.png

Selezione delle sezioni

In "Vertice/Spigolo/..." vengono visualizzati tutti gli oggetti disponibili. In questo elenco devono essere selezionati due elementi, uno dopo l'altro.

Loft it 3.png


Successivamente, con la freccia blu l'elemento deve essere aggiunto alla lista di "Loft".

Loft it 4.png

Gli elementi selezionati devono essere dello stesso tipo, come nella figura.

Suggerimento: le voci attive o selezionate nell'elenco vengono visualizzati nell'area 3D come attive o selezionate.

Completare il comando

Se sono state selezionate entrambe le sezioni, il comando può essere completato cliccando su "OK".

Loft it 5.png

Risultato

Dalle linee chiuse sono sorte delle superfici che al primo sguardo potrebbero essere considerate superfici di solidi.

Loft it 6.png

Se invece si vuole effettivamente creare un solido, questo si può fare utilizzando il pulsante "Crea Solid" quando si crea oppure, dopo aver creato, utilizzando il campo "Solid" delle proprietà nella scheda Dati.

La procedura è analoga a quella descritta per le polilinee aperte.

Modifica della selezione delle sezioni

Se si desidera modificare la selezione delle sezioni dopo la creazione del loft, è possibile selezionare il campo Sezioni nella scheda Dati e fare clic sul pulsante con i puntini di sospensione. Appare l'elenco di tutte le sezioni selezionabili, e la selezione corrente viene evidenziata. Si può rimuovere o aggiungere ulteriori sezioni.

La sequenza delle sezioni dipende dalla sequenza di selezione nell'elenco. Se si desidera apportare modifiche sostanziali, si consiglia di deselezionare tutto e quindi avviare la selezione nell'ordine corretto.

FreeCAD Versioni

  • aggiunto nella Versione 0.13
  • la proprietà "closed" è stata aggiunta nella Versione 0.14
  • la possibilità di usare una faccia come profilo è stata implementata nella Versione 0.14



Arrow-left.svg Part Sweep.png Sweep Pagina precedente:
Pagina successiva: Offset 3D Part Offset.png Arrow-right.svg

Offset

This documentation is not finished. Please help and contribute documentation.

Gui Command explains how tools should be documented. See Draft ShapeString for an example of a well documented tool. Browse Category:UnfinishedDocu to see incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arrow-left.svg Part CompOffsetTools.png Strumenti offset Pagina precedente:
Pagina successiva: Offset 2D Part Offset2D.png Arrow-right.svg

Part Offset.svg Offset 3D

Posizione nel menu
Part → Offset 3D...
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Spessore, Offset 2D

PartOffset0.pngPartOffset1.png


Descrizione

Lo strumento Offset 3D di Parte crea delle copie parallele di una forma selezionata ad una certa distanza dalla forma base, dando un nuovo oggetto.

Utilizzo

Selezionare l'oggetto da cui si vuole creare l'offset.

  1. Premere il pulsante Part Offset.svg Offset 3D, e regolare la distanza e i parametri che dipendono dall'oggetto originale e dagli oggetti risultanti.

Proprietà

  1. Offset  : Distanza a cui sfalsare le facce della forma
  2. Mode  : Modalità di creazione. Skin crea una nuova forma attorno alla forma sorgente. Pipe ( todo ) . RectoVerso ( todo )
  3. Join type : Come si costruiscono i nuovi angoli. Intersection dà angoli acuti sull'estensione lineare dei bordi. Arc e Tangent danno angoli arrotondati.
  1. Option ː Intersection ː Consente gli offset rivolti verso l'interno per "sovrapporre" il gap intersecando la forma risultante fino a raggiungere le facce opposte.
  2. Option ː Self Intersection ː ( todo )
  3. Option ː Fill Offset ː Quando la forma è bidimensionale, lo spazio tra le 2 forme viene riempito. Il riempimento ora è un solido, ma la forma sorgente non è un solido. Quindi le operazioni booleane possono portare a risultati strani. (vedi esempio).



Esempio

Oggetto con angoli sfalsati e arrotondati (arco).


PartOffset0.pngPartOffset1.png


Stesso oggetto con angoli acuti (intersezione).

PartOffset3.png


Lo stesso oggetto con una distanza notevole sovraccaricando lo spazio anteriore sinistro e consentendo incroci.

PartOffset2.png


Forma arbitraria (polilinea di Draft) con un offset 3D (ignora il parametro MODE)

PartOffset4.png


Stessa forma con un offset 3D come Skin e filled.

PartOffset5.png


offset "riempito" con 2 cilindri che creano tagli booleani. Il cilindro A passa attraverso il RIEMPIMENTO mentre il cilindro B passa solo attraverso il RIEMPIMENTO e NON attraverso la forma 2D sorgente.

PartOffset6.png



Arrow-left.svg Part CompOffsetTools.png Strumenti offset Pagina precedente:
Pagina successiva: Offset 2D Part Offset2D.png Arrow-right.svg

Spessore

Arrow-left.svg Part Offset2D.png Offset 2D Pagina precedente:
Pagina successiva: Proiezione su superficie Part ProjectionOnSurface.png Arrow-right.svg

Part Thickness.svg Spessore

Posizione nel menu
Parte → Spessore...
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Offset


Descrizione

Lo strumento Spessore funziona su una forma solida, la trasforma in un oggetto cavo, dando a ciascuna delle sue facce un dato spessore. In alcuni solidi permette di velocizzare notevolmente il lavoro ed evita noiose estrusioni e tasche.

Uso

  1. Creare un solido
  2. Selezionare una o più facce
  3. Cliccare sullo strumento Part Thickness.png Spessore...
  4. Impostare i parametri
  5. Cliccare su OK per confermare, creare l'operazione e uscire dal comando
  6. Se è necessario, adattare i parametri nella tabella delle proprietà.

Opzioni

  • Thickness: Spessore della parete nell'oggetto risultante, impostare il valore desiderato
    • Un valore positivo aggiunge lo spessore verso l'esterno
    • Un valore negativo aggiunge lo spessore verso l'interno
  • Mode
    • Skin: Selezionare questa opzione se si desidera ottenere un oggetto simile a un vaso, senza testa, ma con il fondo
    • Pipe: Selezionare questa opzione se si desidera ottenere un oggetto simile a un tubo, senza testa e senza fondo. In questo caso può essere conveniente selezionare le facce da eliminare prima di avviare lo strumento. Aiutarsi con i pulsanti delle viste predefinite o utilizzare i tasti numerici.
    • RectoVerso:
  • Join Type
    • Arc: rimuove i bordi esterni e crea dei raccordi con raggio pari allo spessore definito
    • Tangent:
    • Intersection:
  • Intersection:
  • Self-intersection: abilita self-intersection
  • Facce / Fatto: Selezionare le facce da rimuovere, quindi fare clic su Fatto
  • Update view: Aggiorna automaticamente la visualizzazione in tempo reale

Limitazioni

A volte, su qualche forma, produce risultati bizzarri. Salvare il lavoro prima di applicare Spessore su oggetti complessi

Links

Un buon esempio su come utilizzare questo strumento nel forum: Re: Help designing a simple enclosure

Esempi

ThicknessEsempio1.png

ThicknessEsempio2.png

ThicknessEsempio3.png

ThicknessEsempio4.png

Arrow-left.svg Part Offset2D.png Offset 2D Pagina precedente:
Pagina successiva: Proiezione su superficie Part ProjectionOnSurface.png Arrow-right.svg

Pulisci forma

Arrow-left.svg Part CreateSimpleCopy.svg Crea una copia semplice Pagina precedente:
Pagina successiva: Controlla la geometria Part CheckGeometry.png Arrow-right.svg

Part RefineShape.svg Affina forma

Posizione nel menu
Parte → Crea una copia → Affina forma
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Copia semplice, Copia trasformata, Copia elemento, Affina forma di OpenSCAD


Descrizione

Affina forma produce una copia non parametrica affinata, cioè con i bordi e le facce ripuliti.

Dopo alcune operazioni booleane, come una Unione, rimangono visibili alcune linee delle forme precedenti. Questo strumento produce una copia del risultato booleano e ripulita dalle linee superflue.

Per produrre altre copie non parametriche degli oggetti utilizzare Crea una copia semplice, Crea una copia trasformata, o Copia elemento.

PartRefineShape it.png

Risultato booleano originale (a sinistra) e copia della forma affinata (a destra).


Utilizzo

  1. Selezionare un oggetto che si desidera pulire e copiare.
  2. Andare nel menu Part → Crea una copia → Part RefineShape.svg Affina forma.
  3. Viene creata una copia pulita e indipendente dell'oggetto originale; l'oggetto originale è nascosto.

A partire da FreeCAD 0.19, il risultato viene automaticamente impostato su una copia parametrica (collegata).

Questo comportamento può essere modificato nell'editor dei parametri. Andare al sottogruppo

  • BaseApp/Preferences/Mod/Part

e cambiare ParametricRefine di tipo Boolean su False per ottenere il vecchio comportamento (copia indipendente).

Vedi altri parametri in Ottimizzare l'installazione.

Limitazioni

  • L'algoritmo di affinamento funziona solo sui gusci. Quindi itera sui gusci della forma di ingresso e poi per ogni guscio (shell) ne crea uno nuovo con le facce unite, dove è possibile. Questo significa che se la forma di ingresso è solo una faccia, contorno, bordo o vertice l'algoritmo non fa nulla.
  • Al contrario di Affina forma di OpenSCAD, questa funzione non si aggiorna quando sono modificate le forme sottostanti

Note

  • Questa funzione può essere utilizzata come ultimo passo nel lavoro di modellazione per ripulire le forme in un flusso di lavoro tradizionale di geometria solida costruttiva.
  • Questa funzione può aiutare a ripulire il modello prima di applicare un'altra funzione, ad esempio un raccordo.
  • Questa pulizia potrebbe impedire alle stampanti 3D di stampare bordi indesiderati una volta esportato il modello solido in un formato mesh.
  • Questa funzione può essere utilizzata anche dopo aver convertito una mesh in una forma con (Forma da mesh) per pulire i bordi residui su facce piane.

Script

Il comando Pyhton per ripulire una forma è il seguente:

shape.removeSplitter()
Arrow-left.svg Part CreateSimpleCopy.svg Crea una copia semplice Pagina precedente:
Pagina successiva: Controlla la geometria Part CheckGeometry.png Arrow-right.svg


Ambiente Parte: Altri strumenti e strumenti non documentati

Sezione in costruzione


Questa sezione elenca una serie di comandi che non sono ancora inclusi in questo documento. Alcuni di questi strumenti sono recenti o sono in fase di sviluppo. Per avere maggiori informazioni consultare la Guida in linea o visitare il forum